summaryrefslogtreecommitdiff
path: root/tests/scripts/variables
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2006-10-01 05:38:38 +0000
committerPaul Smith <psmith@gnu.org>2006-10-01 05:38:38 +0000
commit7595f38f62afa7ac3451018d865fb251e3ce91c3 (patch)
treea282fd77e5ef862b9bbccb983a3c601ba4f834fb /tests/scripts/variables
parentc25294ad3ba1252a0d77bf63a27758a0eee4259e (diff)
downloadgunmake-7595f38f62afa7ac3451018d865fb251e3ce91c3.tar.gz
Fixed a number of documentation bugs, plus some build/install issues:
16304, 16468, 16577, 17701, 17880, 16051, 16652, 16698 Plus some from the mailing list. Imported a patch from Eli to allow Cygwin builds to support DOS-style pathnames.
Diffstat (limited to 'tests/scripts/variables')
-rw-r--r--tests/scripts/variables/automatic21
1 files changed, 10 insertions, 11 deletions
diff --git a/tests/scripts/variables/automatic b/tests/scripts/variables/automatic
index 7237fe2..c0fdff8 100644
--- a/tests/scripts/variables/automatic
+++ b/tests/scripts/variables/automatic
@@ -95,17 +95,16 @@ mbr.src: ; @:',
# Make sure that nonexistent prerequisites are listed in $?, since they are
# considered reasons for the target to be rebuilt.
#
-# This was undone due to Savannah bug #16002. We'll re-do it in the next
-# release. See Savannah bug #16051.
+# See also Savannah bugs #16002 and #16051.
-#touch('foo');
-#
-#run_make_test('
-#foo: bar ; @echo "\$$? = $?"
-#bar: ;',
-# '',
-# '$? = bar');
-#
-#unlink('foo');
+touch('foo');
+
+run_make_test('
+foo: bar ; @echo "\$$? = $?"
+bar: ;',
+ '',
+ '$? = bar');
+
+unlink('foo');
1;